from fastapi import FastAPI
from fastapi.responses import JSONResponse
import uuid
import random
import string

app = FastAPI()

def generate_random_email():
    domains = ["hubtel.com", "gmail.com", "yahoo.com"]
    username = ''.join(random.choices(string.ascii_lowercase + string.digits, k=10))
    domain = random.choice(domains)
    return f"{username}@{domain}"

@app.get("/data/lookup/mobile/{mobile_number}")
def get_data(mobile_number: str):
    response = {
        "message": "Success",
        "code": "200",
        "data": {
            "mobileNumber": mobile_number,
            "email": generate_random_email(),
            "tokenData": {
                "jti": str(uuid.uuid4()),
                "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/mobilephone": mobile_number
            }
        }
    }
    return JSONResponse(content=response)


@app.get("/data/lookup/email/{email}")
def get_data(email: str):
    response = {
        "message": "Success",
        "code": "200",
        "data": {
            "email": email,
            "mobileNumber": "233241234567",
            "phoneNumbers": [{
                "countryCode": "233",
                "number": "241234567"
            }],
            "tokenData": {
                "jti": str(uuid.uuid4()),
                "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/email": email
            }
        }
    }
    return JSONResponse(content=response)

if __name__ == '__main__':
    import uvicorn
    uvicorn.run(app, host="127.0.0.1", port=5000, log_level="debug")